<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования типовой динамической страницы.
 * 
 * Файл: /admin/lib/action/add_lib.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$param = array();

$lib = & singleton('lib');

$DataBase = & singleton('DataBase');

/* Проверяем существует ли идентификатор */
if (isset($_REQUEST['lib_id']))
{
	$param['lib_id'] = to_int($_REQUEST['lib_id']);
}

/* Устанавливаем параметры */
$param['lib_dir_id'] = to_int($_REQUEST['lib_dir_parent_id']);
$param['lib_name'] = to_str($_REQUEST['lib_name']);
$param['lib_description'] = to_str($_REQUEST['lib_description']);
$param['lib_module'] = trim(to_str($_REQUEST['lib_module']));
$param['lib_module_config'] = trim(to_str($_REQUEST['lib_module_config']));

if ($insert_lib_id = $lib->InsertLib($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddLib', 'lib_id', '<?php echo $insert_lib_id?>');
	</script><?php

	if (isset($_REQUEST['lib_id']))
	{
		show_message($GLOBALS['MSG_lib']['lib_form_success_edit']);
	}
	else 
	{
		show_message($GLOBALS['MSG_lib']['lib_form_success_add']);
	}
}
else
{
	if (isset($_REQUEST['lib_id']))
	{
		show_error_message($GLOBALS['MSG_lib']['lib_form_error_edit']);
	}
	else 
	{
		show_error_message($GLOBALS['MSG_lib']['lib_form_error_add']);
	}
}
?>